Documentation menu

Calendar

Fetch posts for a given month.

GET /calendar

Requires Authorization: Bearer <token>.

Query parameters

FieldTypeNotes
monthrequiredstringpattern: ^\d{4}-\d{2}$

Example request

curl 'https://app.shoutrrr.com/api/v1/calendar' \
  -H 'Authorization: Bearer <token>'
const res = await fetch('https://app.shoutrrr.com/api/v1/calendar', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
import requests

res = requests.get(
    'https://app.shoutrrr.com/api/v1/calendar',
    headers={'Authorization': 'Bearer <token>'},
)
data = res.json()
<?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/calendar');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer <token>',
    ],
]);
$data = json_decode(curl_exec($ch), true);

Responses

200

FieldTypeNotes
monthrequiredstring—
postsrequiredobject[]—
idrequiredstring—
base_textrequiredstring—
statusrequiredstring—
status_labelrequiredDraft | Scheduled | Publishing | Published | Partially published | Failed | Missed | Deleted—
authorrequiredstring—
target_countrequiredintegermin 0
updated_atrequiredstring—
scheduled_atrequiredstringnullable—
published_atrequiredstringnullable—
platformsrequiredstring[]—
targetsrequiredobject[]—
idrequiredstring—
platformrequiredstring—
statusrequiredstring—
error_kindrequiredstringnullable—
error_messagerequiredstringnullable—
attemptsrequiredinteger—

401 Unauthenticated

FieldTypeNotes
messagerequiredError overview.string—

422 Validation error

FieldTypeNotes
messagerequiredErrors overview.string—
errorsrequiredA detailed description of each field that failed validation.object—